Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 19608 - Internal error #122 in cc1plus
Internal error #122 in cc1plus
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-23 11:21 EDT by Matt Wilson
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 07:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.ii file for error (549.38 KB, text/plain)
2000-10-23 11:21 EDT, Matt Wilson
no flags Details

  None (edit)
Description Matt Wilson 2000-10-23 11:21:09 EDT
[msw@localhost ~/ice]$ g++ -o /tmp/out -c sdbsql.ii 
/usr/src/oo/oo_605_src/svtools/source/svsql/sdbsql.cxx: In function `void 
SdbSqlParseNode::NegateSearchCondition (SdbSqlParseNode *&, unsigned
char)':
/usr/src/oo/oo_605_src/svtools/source/svsql/sdbsql.cxx:1006: parse error
before `not'
/usr/src/oo/oo_605_src/svtools/source/svsql/sdbsql.cxx:1007:
`pSearchCondition' undeclared (first use 
this function)
/usr/src/oo/oo_605_src/svtools/source/svsql/sdbsql.cxx:1007: (Each
undeclared identifier is reported 
only once for each function it appears in.)
/usr/src/oo/oo_605_src/svtools/source/svsql/sdbsql.cxx:1010: Internal error
#122.
/usr/src/oo/oo_605_src/svtools/source/svsql/sdbsql.cxx:1010: Internal
compiler error in finish_function, at ../gcc/cp/decl.c:14422
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

bash-2.04$ gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
bash-2.04$ rpm -q gcc
gcc-2.96-57
bash-2.04$ rpm -q gcc-c++
gcc-c++-2.96-57
Comment 1 Matt Wilson 2000-10-23 11:21:35 EDT
Created attachment 4560 [details]
.ii file for error
Comment 2 Trond Eivind Glomsrxd 2000-10-23 11:25:38 EDT
This isn't a gdb bug, it's a gcc bug - changing components and reassigning.
Comment 3 Jakub Jelinek 2000-12-20 06:58:38 EST
Fixed in gcc-c++-2.96-69.

Note You need to log in before you can comment on or make changes to this bug.